"use strict";
/**
 * Copyright 2014 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var minimist = require("minimist");
var path = require("path");
var rimraf = require("rimraf");
var source_map_support_1 = require("source-map-support");
var generator_1 = require("./generator");
// enable source map support
source_map_support_1.install();
var debug = true;
var argv = minimist(process.argv.slice(2));
// constructors
var gen = new generator_1.Generator({ debug: debug, includePrivate: false });
var args = argv._;
if (args.length) {
    args.forEach(function (url) {
        gen.generateAPI(url, function (err) {
            if (err) {
                throw err;
            }
            console.log('Generated API for ' + url);
        });
    });
}
else {
    console.log('Removing old APIs...');
    rimraf(path.join(__dirname, '../../../src/apis'), function (err) {
        if (err) {
            throw err;
        }
        console.log('Generating APIs...');
        gen.generateAllAPIs(function (e) {
            if (e) {
                throw e;
            }
            console.log('Finished generating APIs!');
        });
    });
}
//# sourceMappingURL=generate.js.map